using GMCabsDriverAssistantSolution.ViewModels;

namespace GMCabsDriverAssistantSolution.Views;

public partial class CancelledBookingPage : ContentPage
{
    #region Fields
    private readonly CancelledBookingViewModel _viewModel;
    #endregion

    #region Properties
    #endregion

    #region Constructor
    public CancelledBookingPage()
    {
        BindingContext = _viewModel = new CancelledBookingViewModel();
        InitializeComponent();
    }
    #endregion

    public void OnCancelledOkClicked(object sender, EventArgs e)
    {
        NavigateToHomePage();
    }
    protected override bool OnBackButtonPressed()
    {
        NavigateToHomePage();
        base.OnBackButtonPressed();
        return true;
    }
    protected override void OnDisappearing()
    {
        NavigateToHomePage();
        base.OnDisappearing();
    }
    private async void NavigateToHomePage()
    {
        await Shell.Current.GoToAsync("..");
    }
}